[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.EditMask

Specify an edit mask for an edit control

## Declaration

Source position: db.pas line 408

`public property TField.EditMask : TEditMask read FEditMask write FEditMask;`

## Description

EditMask can be used to specify an edit mask for controls that allow to edit this field. It has no effect on the field value, and serves only to ensure that the user can enter only correct data for this field.

For more information on valid edit masks, see the documentation of the GUI controls.

## See also

TDateTimeField.EditMask |  | Specify an edit mask for an edit control
TStringField.EditMask |  | Specify an edit mask for an edit control

Documentation generated on: Feb 26 2014